Subject: Re: bug#35375: 26.2; info:elisp#Geometry (x-parse-geometry geom)

From: Juri Linkov <[email-masked]>
Date: Tue, 28 May 2019 23:59:01 +0300

tags 35375 notabug
thanks

> In the example given,
>
>           (x-parse-geometry "35x70+0-0")
>                ⇒ ((height . 70) (width . 35)
>                    (top - 0) (left . 0))
> --------------------^
> should that be (top . (- 0)) from x-parse-geometry?
>
> --- background context ---
>
> I landed on the above documentation while trying to figure out the following.
>
> I am unable to make-frame have frame height 36 with the following setting in ~/.emacs
>
> (add-to-list 'default-frame-alist '(height . 36))
>
> and in ~/.Xresources, I have
>
> Emacs*geometry: 80x36
>
> Calling `emacs -Q` I have initial frame height of 4, the next
> make-frame has height 36, the rest of the next make-frame events have
> height 4.

This is because x-parse-geometry returns height/width in pixels,
but make-frame expects height/width in characters.  Please use
`text-pixels' for pixels.  See more at (info "(elisp) Size Parameters")